Interface DedicatedPortDefaultConfiguration

All Known Implementing Classes:
DedicatedPortDefaultConfigurationJson

public interface DedicatedPortDefaultConfiguration
A default dedicated-port configuration for an Equinix Internet Access (EIA) v1 service, as returned by GET /internetAccess/v1/dedicatedPortDefaultConfigurations.

This is a read-only response view.

  • Method Details

    • getType

      Redundancy getType()
      Returns:
      the redundancy configuration (SINGLE_PORT or DUAL_PORT)
    • getUseCase

      UseCase getUseCase()
      Returns:
      the intended use case (MAIN, BACKUP or MANAGEMENT_ACCESS)
    • getBilling

      BillingType getBilling()
      Returns:
      the billing model (FIXED, USAGE_BASED or BURST_BASED)
    • getBandwidth

      Integer getBandwidth()
      Returns:
      the bandwidth, in Mbps
    • getMinBandwidthCommit

      Integer getMinBandwidthCommit()
      Returns:
      the minimum committed bandwidth, in Mbps
    • getConnection

      DedicatedPortConnection getConnection()
      Returns:
      the default connection configuration
    • getRoutingProtocol

      DedicatedPortRoutingProtocol getRoutingProtocol()
      Returns:
      the default routing-protocol configuration